Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetAuthError

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.inet.common.bean.InetAuthError

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class InetAuthError extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetAuthError()`
  `InetAuthError(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractTitle()`
  `int`
  `getDeviceId()`
  `String`
  `getDeviceTitle()`
  `int`
  `getErrorCode()`
  `int`
  `getErrorCount()`
  `String`
  `getErrorText()`
  `Date`
  `getLastErrorTime()`
  `int`
  `getLogCoordinateRecordId()`
  `int`
  `getServId()`
  `String`
  `getServTitle()`
  `InetAuthError`
  `setContractId(int contractId)`
  `InetAuthError`
  `setContractTitle(String contractTitle)`
  `InetAuthError`
  `setDeviceId(int deviceId)`
  `InetAuthError`
  `setDeviceTitle(String deviceTitle)`
  `InetAuthError`
  `setErrorCode(int errorCode)`
  `InetAuthError`
  `setErrorCount(int errorCount)`
  `InetAuthError`
  `setErrorText(String errorText)`
  `InetAuthError`
  `setLastErrorTime(Date lastErrorTime)`
  `InetAuthError`
  `setLogCoordinateRecordId(int logRecordId)`
  `InetAuthError`
  `setServId(int servId)`
  `InetAuthError`
  `setServTitle(String servTitle)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetAuthError

    public InetAuthError()

  - ### InetAuthError

    public InetAuthError(int id)

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()

  - ### setErrorCode

    public InetAuthError setErrorCode(int errorCode)

  - ### getErrorText

    public String getErrorText()

  - ### setErrorText

    public InetAuthError setErrorText(String errorText)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public InetAuthError setDeviceId(int deviceId)

  - ### getDeviceTitle

    public String getDeviceTitle()

  - ### setDeviceTitle

    public InetAuthError setDeviceTitle(String deviceTitle)

  - ### setContractId

    public InetAuthError setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public InetAuthError setContractTitle(String contractTitle)

  - ### getServId

    public int getServId()

  - ### setServId

    public InetAuthError setServId(int servId)

  - ### getServTitle

    public String getServTitle()

  - ### setServTitle

    public InetAuthError setServTitle(String servTitle)

  - ### getLastErrorTime

    public Date getLastErrorTime()

  - ### setLastErrorTime

    public InetAuthError setLastErrorTime(Date lastErrorTime)

  - ### getErrorCount

    public int getErrorCount()

  - ### setErrorCount

    public InetAuthError setErrorCount(int errorCount)

  - ### getLogCoordinateRecordId

    public int getLogCoordinateRecordId()

  - ### setLogCoordinateRecordId

    public InetAuthError setLogCoordinateRecordId(int logRecordId)